%define majver %(echo %version | cut -d. -f1-2)
%define maj3ver %(echo %version | cut -d. -f1-3)
Name:          gnutls28
Version:       3.3.22
Release:       1mamba
Summary:       A library which provides a secure layer, over a reliable transport layer
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gnutls/
Source0:       ftp://ftp.gnutls.org/gcrypt/gnutls/v%{majver}/gnutls-%{version}.tar.xz
Source1:       libgnutls-config
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libffi-devel
BuildRequires: libgc-devel
BuildRequires: libgcc
BuildRequires: libgmp-devel
BuildRequires: libguile-devel
BuildRequires: libidn-devel
BuildRequires: libnettle-devel
BuildRequires: libopenssl-devel
BuildRequires: libopts-devel
BuildRequires: libp11-kit-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtasn1-devel
BuildRequires: libunbound-devel
BuildRequires: libz-devel
BuildRequires: trousers-devel
## AUTOBUILDREQ-END
BuildRequires: liblzo-devel
BuildRequires: libcfg+-devel >= 0.6.2-6mamba
BuildRequires: libnettle-devel >= 2.4
BuildRequires: autogen
BuildRequires: libp11-kit-devel >= 0.20.7
BuildRequires: libp11-kit-devel >= 0.20.7
Requires:      libgnutls28 = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.
Quoting from RFC2246 - the TLS 1.0 protocol specification:
The TLS protocol provides communications privacy over the Internet.
The protocol allows client/server applications to communicate in a way that is designed to prevent eavesdropping, tampering, or message forgery.

%package -n libgnutls28
Group:         System/Libraries
Summary:       A library which provides a secure layer, over a reliable transport layer
Requires(post):%{__install_info}

%description -n libgnutls28
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.
Quoting from RFC2246 - the TLS 1.0 protocol specification:
The TLS protocol provides communications privacy over the Internet.
The protocol allows client/server applications to communicate in a way that is designed to prevent eavesdropping, tampering, or message forgery.

%package -n libgnutls28-extra
Group:         System/Libraries
Summary:       A library which provides a secure layer, over a reliable transport layer
Requires(post):%{__install_info}

%description -n libgnutls28-extra
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.
Quoting from RFC2246 - the TLS 1.0 protocol specification:
The TLS protocol provides communications privacy over the Internet.
The protocol allows client/server applications to communicate in a way that is designed to prevent eavesdropping, tampering, or message forgery.

%package -n libgnutls28-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libgnutls28 = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgnutls28-extra = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libgnutls28-guile = %{?epoch:%epoch:}%{version}-%{release}

%description -n libgnutls28-devel
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.
Quoting from RFC2246 - the TLS 1.0 protocol specification:
The TLS protocol provides communications privacy over the Internet.
The protocol allows client/server applications to communicate in a way that is designed to prevent eavesdropping, tampering, or message forgery.

This package contains static libraries and header files need for development.

%package -n libgnutls28-guile
Group:         System/Libraries
Summary:       Guile components of %{name}
Requires:      libgnutls28 = %{?epoch:%epoch:}%{version}-%{release}

%description -n libgnutls28-guile
GnuTLS is a project that aims to develop a library which provides a secure layer, over a reliable transport layer.
Currently the GnuTLS library implements the proposed standards by the IETF's TLS working group.
Quoting from RFC2246 - the TLS 1.0 protocol specification:
The TLS protocol provides communications privacy over the Internet.
The protocol allows client/server applications to communicate in a way that is designed to prevent eavesdropping, tampering, or message forgery.

This package contains the guile components.

%prep
%setup -q -n gnutls-%{maj3ver}

%build
%configure
# \
#   LDFLAGS="-ldl -ltasn1 -lgpg-error -lcrypt -lgcrypt" \
%if "%{_host}" != "%{_build}"
   --with-libgcrypt-prefix=%{_prefix}/%{_host}/%{_lib} \
   --with-libtasn1-prefix=%{_prefix}/%{_host}/%{_lib} \
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall

install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/libgnutls-config
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/libgnutls-extra-config

%find_lang gnutls

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libgnutls28 -p /sbin/ldconfig
%postun -n libgnutls28 -p /sbin/ldconfig

%post
%install_info gnutls.info
exit 0

%preun
%uninstall_info gnutls.info
exit 0

%files -f gnutls.lang
%defattr(-,root,root)
%{_bindir}/certtool
%{_bindir}/crywrap
%{_bindir}/danetool
%{_bindir}/gnutls-cli*
%{_bindir}/gnutls-serv*
%{_bindir}/ocsptool
%{_bindir}/p11tool
%{_bindir}/psktool
%{_bindir}/srptool
%{_bindir}/tpmtool
%{_mandir}/man1/certtool.*
%{_mandir}/man1/danetool.1*
%{_mandir}/man1/gnutls-cli.*
%{_mandir}/man1/gnutls-cli-debug.*
%{_mandir}/man1/gnutls-serv.*
%{_mandir}/man1/ocsptool.1.gz
%{_mandir}/man1/p11tool.*
%{_mandir}/man1/psktool.*
%{_mandir}/man1/srptool.*
%{_mandir}/man1/tpmtool.1.gz
%{_infodir}/pkcs11-vision.png.gz
%{_infodir}/gnutls.*
%{_infodir}/gnutls-*.gz

%files -n libgnutls28
%defattr(-,root,root)
%{_libdir}/libgnutls.so.*
%doc AUTHORS COPYING

%files -n libgnutls28-extra
%defattr(-,root,root)
%{_libdir}/libgnutlsxx.so.*
%{_libdir}/libgnutls-dane.so.*
%{_libdir}/libgnutls-openssl.so.*
#%{_libdir}/libgnutls-xssl.so.*

%if "%{_host}" == "%{_build}"
%files -n libgnutls28-guile
%defattr(-,root,root)
%{_datadir}/guile/site/gnutls.scm
%{_datadir}/guile/site/gnutls/extra.scm
%{_libdir}/guile/*/guile-gnutls-v-2.so.*
%endif

%files -n libgnutls28-devel
%defattr(-,root,root)
%{_bindir}/libgnutls-config
%{_bindir}/libgnutls-extra-config
#%{_datadir}/aclocal/*
%{_includedir}/gnutls/*.h
#%{_libdir}/libgnutls.a
%{_libdir}/libgnutls.la
%{_libdir}/libgnutls.so
#%{_libdir}/libgnutlsxx.a
%{_libdir}/libgnutlsxx.la
%{_libdir}/libgnutlsxx.so
%{_libdir}/libgnutls-dane.la
%{_libdir}/libgnutls-dane.so
#%{_libdir}/libgnutls-openssl.a
%{_libdir}/libgnutls-openssl.la
%{_libdir}/libgnutls-openssl.so
#%{_libdir}/libgnutls-xssl.a
#%{_libdir}/libgnutls-xssl.la
#%{_libdir}/libgnutls-xssl.so
#%{_libdir}/guile/*/guile-gnutls-v-2.a
%{_libdir}/guile/*/guile-gnutls-v-2.la
%{_libdir}/guile/*/guile-gnutls-v-2.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
#%doc ChangeLog NEWS README THANKS

%changelog
* Fri Apr 22 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.22-1mamba
- legacy package
- update to 3.3.22

* Tue Feb 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.3.21-1mamba
- update to 3.3.21
- move translation from library to main package

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 3.3.14-1mamba
- automatic version update by autodist

* Sun Mar 01 2015 Automatic Build System <autodist@mambasoft.it> 3.3.13-1mamba
- automatic version update by autodist

* Tue Jan 20 2015 Automatic Build System <autodist@mambasoft.it> 3.3.12-1mamba
- automatic version update by autodist

* Thu Dec 11 2014 Automatic Build System <autodist@mambasoft.it> 3.3.11-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 3.3.10-1mamba
- automatic version update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 3.3.9-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 3.3.8-1mamba
- automatic version update by autodist

* Mon Aug 25 2014 Automatic Build System <autodist@mambasoft.it> 3.3.7-1mamba
- automatic version update by autodist

* Thu Jul 24 2014 Automatic Build System <autodist@mambasoft.it> 3.3.6-1mamba
- automatic version update by autodist

* Sat Jun 28 2014 Automatic Build System <autodist@mambasoft.it> 3.3.5-1mamba
- automatic version update by autodist

* Fri Jun 06 2014 Automatic Build System <autodist@mambasoft.it> 3.3.4-1mamba
- automatic version update by autodist

* Wed May 07 2014 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 3.2.13-1mamba
- automatic version update by autodist

* Thu Mar 06 2014 Automatic Build System <autodist@mambasoft.it> 3.2.12.1-1mamba
- automatic version update by autodist

* Mon Mar 03 2014 Automatic Build System <autodist@mambasoft.it> 3.2.12-1mamba
- automatic version update by autodist

* Sat Feb 15 2014 Automatic Build System <autodist@mambasoft.it> 3.2.11-1mamba
- automatic version update by autodist

* Sat Feb 01 2014 Automatic Build System <autodist@mambasoft.it> 3.2.10-1mamba
- automatic version update by autodist

* Sun Jan 26 2014 Automatic Build System <autodist@mambasoft.it> 3.2.9-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Sun Nov 24 2013 Automatic Build System <autodist@mambasoft.it> 3.2.7-1mamba
- automatic version update by autodist

* Fri Nov 01 2013 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic version update by autodist

* Sat Oct 26 2013 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic version update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 3.2.4-1mamba
- automatic update by autodist

* Wed Jul 31 2013 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Tue Jul 16 2013 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 3.1.11-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 3.1.10-1mamba
- automatic version update by autodist

* Thu Mar 07 2013 Automatic Build System <autodist@mambasoft.it> 3.1.9.1-1mamba
- automatic version update by autodist

* Wed Feb 27 2013 Automatic Build System <autodist@mambasoft.it> 3.1.9-1mamba
- automatic version update by autodist

* Mon Feb 11 2013 Automatic Build System <autodist@mambasoft.it> 3.1.8-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Automatic Build System <autodist@mambasoft.it> 3.1.7-1mamba
- automatic version update by autodist

* Sun Jan 06 2013 Automatic Build System <autodist@mambasoft.it> 3.1.6-1mamba
- update to 3.1.6

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic version update by autodist

* Thu Jul 26 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.21-2mamba
- create subpackage libgnutils-guile
- move info and man files from libgnutls to gnutls

* Thu Jul 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.21-1mamba
- update to 3.0.21

* Thu Jul 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.19-1mamba
- update to 2.12.19
- renamed fro libgnutls to libgnutls2

* Mon Apr 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.18-2mamba
- rebuilt with libcfg+-0.6.2-5mamba (soname fix)

* Tue Apr 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.18-1mamba
- update to 2.12.18

* Fri Dec 17 2010 gil <puntogil@libero.it> 2.10.2-2mamba
- add libgnutls{,-extra}-config scripts

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.2-1mamba
- update to 2.10.2
- don't build and obsolete libgnutls13

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 2.10.0-2mamba
- automatic rebuild by autodist

* Tue Jun 29 2010 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic update by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic update by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic update by autodist

* Fri Oct 02 2009 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic update by autodist

* Sat Aug 15 2009 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic update by autodist

* Fri May 01 2009 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic update by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.5-1mamba
- automatic update by autodist

* Tue Mar 24 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.4-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- automatic update by autodist

* Mon Oct 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-2mamba
- created libgnutls13 compatibility package
- disabled libgnutls12 compatibility package

* Fri Oct 10 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Tue Jul 03 2007 Aleph0 <aleph0@openmamba.org> 1.6.3-1mamba
- update to 1.6.3
- conditionally build the compatibility package libgnutls12
- do not build the libgnutls11 compatibility package

* Tue Oct 17 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.10-3qilnx
- added missing build requirement

* Fri Oct 13 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.10-2qilnx
- security update agains CVE-2006-4790 (bugtraq#242)

* Fri Feb 10 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.10-1qilnx
- update to version 1.2.10 by autospec (this release fixes several serious
  bugs that would make the DER decoder in libtasn1 crash on invalid input)
- build requires libtasn1-devel >= 0.2.18 for security

* Wed Nov 09 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.9-1qilnx
- update to version 1.2.9 by autospec

* Mon Oct 10 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.8-1qilnx
- update to version 1.2.8 by autospec
- conditionally build the compatibility package libgnutls11

* Fri Apr 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.0.25-1qilnx
- update to version 1.0.25 by autospec
- also fixes a Denial of Service problem

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.20-1qilnx
- package created by autospec
